/// <reference types="react" />
export declare const StyledFormFieldMain: import("styled-components").StyledComponent<"div", any, {
    $read: boolean;
    $colStart: number;
    $colEnd: number;
    $colIeSpan: number;
}, never>;
export declare const StyledLabel: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("react").HTMLAttributes<HTMLLabelElement> & {
    htmlFor?: string | undefined;
    block?: boolean | undefined;
} & import("react").RefAttributes<HTMLLabelElement>>, any, {}, never>;
export declare const StyledDescription: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledCheckboxInlineDescription: import("styled-components").StyledComponent<"div", any, {
    $read: boolean;
}, never>;
export declare const StyledFormFieldHeader: import("styled-components").StyledComponent<"div", any, {
    $colStart: number;
    $colEnd: number;
    $colIeSpan: number;
}, never>;
export declare const StyledFormFieldRequiredMark: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("..").RequiredProps & import("react").RefAttributes<HTMLSpanElement>>, any, {}, never>;
export declare const dataQaFieldTooltipIcon = "form-field-tooltip-icon";
export declare const StyledFormFieldTooltipIcon: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, any, {
    'data-qa': string;
}, "data-qa">;
export declare const StyledFormFieldErrorIcon: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, any, {}, never>;
export declare const StyledFormFieldBanner: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledTraditionalFormColumn: import("styled-components").StyledComponent<"div", any, {
    $fullWidth?: boolean | undefined;
    $output?: boolean | undefined;
}, never>;
export declare const StyledFormOutputTextArea: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const StyledFormOutputFiledset: import("styled-components").StyledComponent<"fieldset", any, {}, never>;
export declare const StyledFormRow: import("styled-components").StyledComponent<"div", any, {
    $traditional?: boolean | undefined;
    $read?: boolean | undefined;
}, never>;
export declare const formWrapper: import("styled-components").FlattenSimpleInterpolation;
export declare const StyledForm: import("styled-components").StyledComponent<"div", any, {}, never>;
